--------------------------------------------------------------------------------
-- Tunnel by Holzchopf
-- v1.1 - 28 Sep 2011	- Updated hierarchy
--------------------------------------------------------------------------------

-- setup
if holzchopf==nil then holzchopf={} end
holzchopf.tunnel={}

-- load ressources
holzchopf.tunnel.gfx_wpn=loadgfx("holzchopf/tunnel.png")
setmidhandle(holzchopf.tunnel.gfx_wpn)
holzchopf.tunnel.sfx_build=loadsfx("buildstone.ogg")

--------------------------------------------------------------------------------
-- Weapon
--------------------------------------------------------------------------------
holzchopf.tunnel.id=addweapon("holzchopf.tunnel","Tunnel",holzchopf.tunnel.gfx_wpn,1,0)

function holzchopf.tunnel.draw()
	-- HUD positioning
	if weapon_shots==0 then
		hudpositioning(pos_build,holzchopf.tunnel.gfx_wpn,100,0,1)
	end
end

function holzchopf.tunnel.attack(attack)
	if (weapon_shots<=0) and (weapon_position==1) then
		-- use weapon
		useweapon(1)
		weapon_shots=weapon_shots+1
		-- fx
		terrainalphaimage(holzchopf.tunnel.gfx_wpn,weapon_x,weapon_y)
		terrainrect(weapon_x-50,weapon_y-14,99,27,0x00000000)
		playsound(holzchopf.tunnel.sfx_build)
		for i=1,20,1 do
			particle(p_fragment,weapon_x+math.random(-50,50),weapon_y+math.random(-13,13))
		end
	end
end